ru.bitel.bgbilling.server.util

## Class XMLDatabaseSerializer

- java.lang.Object
- - ru.bitel.bgbilling.server.util.XMLDatabaseSerializer

- Direct Known Subclasses:
    XMLDatabaseElementSerializer

      public class XMLDatabaseSerializer
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BINARY_PREFIX`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XMLDatabaseSerializer()`
    `` | `XMLDatabaseSerializer(javax.xml.stream.XMLStreamWriter whereAdd)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `addItemsFromRS(java.sql.Connection con, java.lang.String table, java.lang.String keyColumn, java.lang.String keyValue, java.lang.String retColumn, boolean dateFilter, java.lang.String date1, java.lang.String date2, java.lang.String joins)`
    `void` | `addItemsFromRS(java.lang.String table, java.lang.String retColumn, java.util.List<java.lang.String> result, java.sql.ResultSet rs)`
    `static int` | `insertElementToBase(org.w3c.dom.Element el, java.sql.Connection con)`
    `protected void` | `startElement(java.lang.String table)`
    `protected void` | `stopElement()`
    `protected void` | `writeAtrtibute(java.lang.String name, java.lang.String val)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BINARY_PREFIX

          public static final java.lang.String BINARY_PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XMLDatabaseSerializer

          protected XMLDatabaseSerializer()

    - #### XMLDatabaseSerializer

          public XMLDatabaseSerializer(javax.xml.stream.XMLStreamWriter whereAdd)

  - ### Method Detail

    - #### addItemsFromRS

          public java.util.List<java.lang.String> addItemsFromRS(java.sql.Connection con,
                                                                 java.lang.String table,
                                                                 java.lang.String keyColumn,
                                                                 java.lang.String keyValue,
                                                                 java.lang.String retColumn,
                                                                 boolean dateFilter,
                                                                 java.lang.String date1,
                                                                 java.lang.String date2,
                                                                 java.lang.String joins)
                                                          throws java.sql.SQLException,
                                                                 javax.xml.stream.XMLStreamException

      Throws:
        `java.sql.SQLException`
        `javax.xml.stream.XMLStreamException`

    - #### addItemsFromRS

          public void addItemsFromRS(java.lang.String table,
                                     java.lang.String retColumn,
                                     java.util.List<java.lang.String> result,
                                     java.sql.ResultSet rs)
                              throws java.sql.SQLException,
                                     javax.xml.stream.XMLStreamException

      Throws:
        `java.sql.SQLException`
        `javax.xml.stream.XMLStreamException`

    - #### writeAtrtibute

          protected void writeAtrtibute(java.lang.String name,
                                        java.lang.String val)
                                 throws javax.xml.stream.XMLStreamException

      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### stopElement

          protected void stopElement()
                              throws javax.xml.stream.XMLStreamException

      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### startElement

          protected void startElement(java.lang.String table)
                               throws javax.xml.stream.XMLStreamException

      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### insertElementToBase

          public static int insertElementToBase(org.w3c.dom.Element el,
                                                java.sql.Connection con)
                                         throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`